% ------------------------------------------------------------------------
%  This script  is run to so that we can save all the simulated objects in
%  "power_wind_dfig_object_dome.mat"
%  The Parameters that we allow the Dome Client to change must match the
%  ones defined here
%  Author: Meena Ganesh
% ------------------------------------------------------------------------

    clc
    mdl = 'power_wind_dfig';
   
    % Get the ConfigSet
    cs = getActiveConfigSet(mdl);
    %cs.saveAs('ConfiguredDataFunctionMG');

    tic
    
    % Params must match Dome Client 
    freqList = [50 60];
    lineLenList = [ 10 50 100];
    numTurbinesList = [2 3 4 5 6];
    startWindSpeedList = [4 5 6 7 8];

 
    
   %% Allocate for the map container
    objNum = 0;
    myMapObj = containers.Map('KeyType','int32','ValueType','any');

    for i=1:numel(freqList)
        for j=1:numel(lineLenList)
            for k=1:numel(numTurbinesList)
                for w=1:numel(startWindSpeedList)
                    newFreq = freqList(i);
                    newLineLen = lineLenList(j);
                    newNumTurbines = numTurbinesList(k);
                    newWindSpeedStart = startWindSpeedList(w);
                    objNum = objNum +1;
                    str = [num2str(objNum) ',freq=' num2str(newFreq) ',lineLen=' num2str(newLineLen)...
                        ',NumTurbines=' num2str(newNumTurbines) ',windspeed=' num2str(newWindSpeedStart)];

                    disp(str);
                    
                    % Run this set of params
                    [saveObjStruct] = fnRunThisSetofParams(mdl,cs,...
                        newNumTurbines,newFreq, newLineLen,newWindSpeedStart);
                    % Save in container
                    saveObjStruct.objNum = objNum;
                    myMapObj(objNum) = saveObjStruct;
                    % fnResetParmDefault(); 

                end
            end
        end

    end

    toc
    %% Saving the objects
    fn = [mdl '_object_dome'];
    save(fn, 'myMapObj');

    %% Done
    disp('Done');


