%data for detailed and average models of DFIG wind turbine example
% Used by the power_wind_dfig.mdl

% Copyright 2005,2012 Hydro-Quebec, and The MathWorks, Inc.

NumberOfUnits=6;

% Asynchronous machine data
Pnom=1.5e6/0.9*NumberOfUnits; % Nominal power (VA)
Vnom=575;       % Line-Line voltage (Vrms)
Fnom=60;        %Hz
Rs=0.00706;     %pu
Lls=0.171;      %pu
Rr=0.005;       %pu
Llr=0.156;      %pu
Lm=2.9;         %pu
H=5.04;         %Inertia constant (s)
F=0.01;         %Friction factor (pu)
p=3;            %Number of pairs of poles

%PWM data
PWM_freq=27*Fnom;   %Not used with average model

%DC link
Vdc_nom=1200;       %Volts
C_DClink=10000e-6*NumberOfUnits; %Farads

%Choke data
R_RL=0.30/100;  %pu
L_RL=0.30;      %pu

%Turbine data
Pmec=1.5e6*NumberOfUnits;  % Nominal power (W)
power_C=0.73;   %pu
speed_C=1.2;    %pu